<?php

    if( !defined( 'ABSPATH' ) ){
        exit;
    }

?>


	<?php
	if($review_testimonial_type == 1){
		 if($review_testimonial_grid_type == 1){
		 	if($review_testimonial_grid_style == 1){?>
				<style type="text/css">
					.testimonialreview-<?php echo $postid;?> {
						display: flex;
						flex-wrap: wrap;
					}
					.testimonialreview-single-items-<?php echo $postid;?> {
						display: block;
						overflow: hidden;
						margin-bottom: 0px;
						background: <?php echo $review_pagination_bgcolors;?>;
						padding: 15px;
						color: <?php echo $review_items_text_color;?>;
						width:100%;
						height:100%;
					}
					.single-testimonialreview-description {
						margin: 0px;
						display: block;
						overflow: hidden;
					}
					.single-testimonialreview-info {
						display: table;
					}
					.single-testimonialreview-thumb {
						display: table-cell;
						padding-right: 20px;
						vertical-align: middle;
					}
					.testimonialreview-<?php echo $postid;?> .single-testimonialreview-thumb img {
						width: 50px;
						height: 50px;
						border-radius: 50px;
					}
					.testimonialreview-<?php echo $postid;?> .single-testimonialreview-title {
						display: block;
						overflow: hidden;
						margin-bottom: 12px;
						font-size: <?php echo $review_title_font_size;?>px;
						color: <?php echo $review_title_color;?>;
						text-transform:<?php echo $review_title_transform;?> ;
						font-style: <?php echo $review_title_fontstyle;?>;
					}
					.testimonialreview-<?php echo $postid;?> .single-testimonialreview-title-area .testimonialreview-name {
						font-size: <?php echo $review_name_font_size;?>px;
						color: <?php echo $review_name_color;?>;
						text-transform:<?php echo $review_name_transform;?> ;
						font-style: <?php echo $review_name_fontstyle;?>;
					}
					.testimonialreview-<?php echo $postid;?> .single-testimonialreview-title-area .testimonialreview-name span.testimonialreview-desigation{
						font-size: <?php echo $review_designation_font_size;?>px;
						color: <?php echo $review_designation_color;?>;
						text-transform:<?php echo $review_designation_transform;?> ;
						font-style: <?php echo $review_designation_fontstyle;?>;
					}
					.testimonialreview-<?php echo $postid;?> .single-testimonialreview-title-area a {
						outline: none;
						text-decoration: none;
						box-shadow: none;
						border: none;
						font-size: <?php echo $review_company_url_size;?>px;
						color: <?php echo $review_company_url_color;?>;
					}

					.testimonialreview-<?php echo $postid;?> .testimonialreview2-author-ratings-<?php echo $postid;?> i.fa{
						font-size: <?php echo $review_ratings_icon_size;?>px;
						color: <?php echo $review_ratings_icon_color;?>;	
					}
					
					.testimonialreview-<?php echo $postid;?> .reviewtestimonial-col-lg-1,
					.testimonialreview-<?php echo $postid;?> .reviewtestimonial-col-lg-2,
					.testimonialreview-<?php echo $postid;?> .reviewtestimonial-col-lg-3,
					.testimonialreview-<?php echo $postid;?> .reviewtestimonial-col-lg-4,
					.testimonialreview-<?php echo $postid;?> .reviewtestimonial-col-lg-5,
					.testimonialreview-<?php echo $postid;?> .reviewtestimonial-col-lg-6,
					.testimonialreview-<?php echo $postid;?> .reviewtestimonial-col-md-1,
					.testimonialreview-<?php echo $postid;?> .reviewtestimonial-col-md-2,
					.testimonialreview-<?php echo $postid;?> .reviewtestimonial-col-md-3,
					.testimonialreview-<?php echo $postid;?> .reviewtestimonial-col-md-4,
					.testimonialreview-<?php echo $postid;?> .reviewtestimonial-col-md-5,
					.testimonialreview-<?php echo $postid;?> .reviewtestimonial-col-md-6,
					.testimonialreview-<?php echo $postid;?> .reviewtestimonial-col-sm-1,
					.testimonialreview-<?php echo $postid;?> .reviewtestimonial-col-sm-2,
					.testimonialreview-<?php echo $postid;?> .reviewtestimonial-col-sm-3,
					.testimonialreview-<?php echo $postid;?> .reviewtestimonial-col-sm-4,
					.testimonialreview-<?php echo $postid;?> .reviewtestimonial-col-sm-5,
					.testimonialreview-<?php echo $postid;?> .reviewtestimonial-col-sm-6,
					.testimonialreview-<?php echo $postid;?> .reviewtestimonial-col-xs-1,
					.testimonialreview-<?php echo $postid;?> .reviewtestimonial-col-xs-2,
					.testimonialreview-<?php echo $postid;?> .reviewtestimonial-col-xs-3,
					.testimonialreview-<?php echo $postid;?> .reviewtestimonial-col-xs-4,
					.testimonialreview-<?php echo $postid;?> .reviewtestimonial-col-xs-5,
					.testimonialreview-<?php echo $postid;?> .reviewtestimonial-col-xs-6 {
						float: left;
						margin-bottom: 15px !important;
						min-height: 1px;
						padding-left: 5px !important;
						padding-right: 5px !important;
						position: relative;
					}
					
				</style>

				<script type="text/javascript">
					jQuery(document).ready(function($){
						$(".testimonialreview2-author-ratings-<?php echo $postid;?>").raty({
							readOnly: true,
							score: function() {
							return $(this).attr("data-score");
							},
							number: function() {
							return $(this).attr("data-number");
							}
						});
					});
				</script>
					
				<div class="testimonialreview-<?php echo $postid;?>">
					<?php
					while ( $review_query->have_posts() ) : $review_query->the_post();
					
					$review_client_name 				= get_post_meta( $post->ID, 'review_client_name', true );
					$review_company_name 				= get_post_meta( $post->ID, 'review_company_name', true );
					$review_company_designation 		= get_post_meta( $post->ID, 'review_company_designation', true );
					$review_web_urls 					= get_post_meta( $post->ID, 'review_web_urls', true );
					$review_ratings 					= get_post_meta( $post->ID, 'review_ratings', true );
					$ppoint_thumb 						= wp_get_attachment_url( get_post_thumbnail_id($post->ID) );
					if ( empty( $ppoint_thumb ) ) $ppoint_thumb = get_avatar_url( -1 );
					$content 			= apply_filters( 'the_content', get_the_content() );
					?>

					<div class="reviewtestimonial-col-lg-<?php echo $review_testimonial_columns;?> reviewtestimonial-col-md-2 reviewtestimonial-col-sm-2 reviewtestimonial-col-xs-1">
						<div class="testimonialreview-single-items-<?php echo $postid;?>">
							<div class="single-testimonialreview-description">
								<div class="single-testimonialreview-title">
									<?php echo the_title();?>
								</div>
								<div class="single-testimonial-review-description">
									<?php echo $content;?>
								</div>
							</div>

							<div class="single-testimonialreview-info">
								<div class="single-testimonialreview-thumb">
									<img src="<?php echo $ppoint_thumb;?>" alt="<?php echo the_title();?>" />
								</div>
								<div class="single-testimonialreview-title-area">
									<div class="testimonialreview-name">
										<?php echo esc_attr($review_client_name);?>
										<span class="testimonialreview-desigation"> - <?php echo esc_attr($review_company_designation);?></span>
									</div>
									<?php if( ! empty($review_web_urls)){?>
										<a href="<?php echo esc_url($review_web_urls);?>" target="_blank"><?php echo esc_attr($review_company_name);?></a>
										<?php
									}else{
										echo esc_attr($review_company_name);
									}?>
									<div class="testimonialreview2-author-ratings-<?php echo $postid;?>" data-number="5" data-score="<?php echo $review_ratings?>"></div>
								</div>
							</div>
						</div>
					</div>

					<?php endwhile;?>
		            <?php  wp_reset_query(); ?>		
				</div>

		 	<?php
		 	}elseif($review_testimonial_grid_style == 2){?>
				
			<h4>Only Available Premium Version</h4>
		 	
		 	<?php
		 	}
		}
		elseif($review_testimonial_grid_type == 2){?>

		<h4>Only Available Premium Version</h4>

		<?php
		}
	} elseif($review_testimonial_type == 2){?>
	
		<h4>Slider Features Only Available Premium Version</h4>
		
	<?php
	};?>